package com.ruoyi.device.mapper;

import java.util.List;
import com.ruoyi.device.domain.BaseType;
import org.springframework.stereotype.Repository;

/**
 * 设备类型维护Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-19
 */
@Repository
public interface BaseTypeMapper
{
    /**
     * 查询设备类型维护
     * 
     * @param objId 设备类型维护主键
     * @return 设备类型维护
     */
    public BaseType selectBaseTypeByObjId(Long objId);

    /**
     * 查询设备类型维护列表
     * 
     * @param baseType 设备类型维护
     * @return 设备类型维护集合
     */
    public List<BaseType> selectBaseTypeList(BaseType baseType);

    /**
     * 新增设备类型维护
     * 
     * @param baseType 设备类型维护
     * @return 结果
     */
    public int insertBaseType(BaseType baseType);

    /**
     * 修改设备类型维护
     * 
     * @param baseType 设备类型维护
     * @return 结果
     */
    public int updateBaseType(BaseType baseType);

    /**
     * 删除设备类型维护
     * 
     * @param objId 设备类型维护主键
     * @return 结果
     */
    public int deleteBaseTypeByObjId(Long objId);

    /**
     * 批量删除设备类型维护
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseTypeByObjIds(String[] objIds);

    BaseType checkDeviceTypeName(BaseType baseType);
}
